CREATE OR REPLACE PROCEDURE sp_fco_alta_autorizaciones_det
(
  i_compania	char,
  i_autorizacion	number,
  i_trabajador	char,
  i_valor		number
)
AS
BEGIN
	BEGIN
		INSERT INTO fco_autorizaciones_Det VALUES 
    (i_compania,
    i_autorizacion,
    i_trabajador,
    i_valor);
	EXCEPTION
     		WHEN OTHERS THEN
         	raise_application_error(-20001, 'Error al tratar de insertar en la tabla [fco_autorizaciones_det]');
	 	return;
	END;
	COMMIT WORK;
END;
/
CREATE PUBLIC SYNONYM sp_fco_alta_autorizaciones_det FOR ADAM.sp_fco_alta_autorizaciones_det;
GRANT EXECUTE ON sp_fco_alta_autorizaciones_det TO adama;
